import { Alias } from "./ast/alias";
import { Backtick } from "./ast/backtick";
import { Binary } from "./ast/binary";
import { Identifier } from "./ast/identifier";
import { Number as _Number } from "./ast/number";
import { SelectStatement } from "./ast/selectStatement";

export * from "./ast/alias";
export * from "./ast/backtick";
export * from "./ast/binary";
export * from "./ast/identifier";
export * from "./ast/number";
export * from "./ast/selectStatement";

export type Primary = _Number | Identifier | Backtick | Alias;
export type Statement = SelectStatement;
export type Expr = Primary | Binary;
export type SelectArgument = Expr;
export type FromTarget = Identifier | Backtick | Alias | SelectStatement;
